Bug 1314108 - [RFE] Randomized scrub scheduling
Summary: [RFE] Randomized scrub scheduling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Kefu Chai
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2016-03-02 23:54 UTC by Neil Levine
Modified: 2017-07-30 15:20 UTC (History)
8 users (show)

Fixed In Version: ceph v10.2.0
Doc Type: Enhancement
Doc Text:
.Support for randomized scrub scheduling has been added The new Ceph `osd_scrub_interval_randomize_ratio` configuration option randomizes scrub scheduling by adding a random delay to the value specified by the `osd_scrub_min_interval` option. As a result, scrubbing of newly created pool or placement groups does not happen at the same time, and I/O impact is reduced.
Clone Of:
Environment:
Last Closed: 2016-08-23 19:32:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Neil Levine 2016-03-02 23:54:10 UTC
Overview

Scrubbing can be a resource intensive operation but is an important part of detecting bitrot in a cluster. Currently, we support (in Stockwell), the ability to schedule when scrubbing may happen (eg between 10pm and 2am). However
the period specified may not provide enough time to perform the scrub. The goal is to ensure that scrubbing is performed on ongoing basis but with intelligent scheduling.

Feature:

For newly created pools/PGs then scrubbing all happens at the same time.
Randomize scrub scheduling so IO impact is reduced. (Merged in Infernalis)

Comment 3 Christina Meno 2016-04-20 20:47:50 UTC
Is this merged in Jewel? I checked the release notes and the git log but couldn't figure it out.

Comment 4 David Zafman 2016-04-20 20:55:14 UTC
I see the configuration variable "osd_scrub_interval_randomize_ratio" in jewel.   So I'd say it is there.  The description above mentions that it was merged in Infernalis.

Comment 9 errata-xmlrpc 2016-08-23 19:32:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.